summaryrefslogtreecommitdiffstats
path: root/ci/cleanvm.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2015-12-14 15:13:14 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2015-12-14 17:28:25 -0600
commit4319c23ea317142a73a73da48f77aec52cf904a0 (patch)
tree5b949b2ca057e9c76218d0340a89e478f11314b6 /ci/cleanvm.sh
parentd4fd012b772ec31afa6663d666f20627120f0ac5 (diff)
include the cleanupvm to remove the virtual machines also.
modified maasdeploy.sh to include current user in no password list. Change-Id: I3087f3a73e719686a9d4e0f58c1ada1850fc7b61
Diffstat (limited to 'ci/cleanvm.sh')
-rw-r--r--ci/cleanvm.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/ci/cleanvm.sh b/ci/cleanvm.sh
new file mode 100644
index 00000000..0cb513e0
--- /dev/null
+++ b/ci/cleanvm.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -ex
+
+#use the below commands if you needs to delete the virtual machine
+# also along with envuronment destroy.
+
+echo " Cleanup Started ..."
+./clean.sh
+
+virsh destroy opnfv-maas || true
+virsh destroy bootstrap || true
+virsh destroy node1-control || true
+virsh destroy node2-compute || true
+virsh undefine opnfv-maas || true
+virsh undefine bootstrap || true
+virsh undefine node1-control || true
+virsh undefine node2-compute || true
+sudo rm -rf /var/lib/libvirt/images/bootstrap.img /var/lib/libvirt/images/node1-control.img /var/lib/libvirt/images/node2-compute.img || true
+
+echo " Cleanup Finished ..."